Documents

List extraction jobs

GET
/processing-jobs

List extraction jobs for the tenant's documents, newest first. Pass document_id to see only the jobs of one document.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Query Parameters

document_id?string

Filter or parameter: document_id.

Formatuuid
cursor?string

Opaque continuation cursor from the previous response.

Lengthlength <= 2048
limit?integer

Filter or parameter: limit.

Range1 <= value <= 100
Default50

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/processing-jobs"
{  "items": [    {      "id": "123e4567-e89b-42d3-a456-426614174000",      "document_id": "123e4567-e89b-42d3-a456-426614174000",      "job_type": "example",      "status": "QUEUED",      "celery_task_id": "example",      "started_at": "2026-09-04T12:00:00Z",      "completed_at": "2026-09-04T12:00:00Z",      "error_message": "example",      "error_code": "example",      "extractor": "example",      "warnings": [],      "route": "example",      "classification": []    }  ],  "next_cursor": null}